Package net.shibboleth.idp.attribute.resolver.spring.enc

# Class BaseSAML1AttributeEncoderParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser
net.shibboleth.idp.attribute.resolver.spring.enc.BaseSAML1AttributeEncoderParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `SAML1Base64AttributeEncoderParser`, `SAML1ScopedStringAttributeEncoderParser`, `SAML1StringAttributeEncoderParser`, `SAML1XMLObjectAttributeEncoderParser`

public abstract class BaseSAML1AttributeEncoderParser extends BaseAttributeEncoderParser
Base class for Spring bean definition parser for SAML 1 attribute encoders.

## Field Summary

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser

`NAME_ATTRIBUTE_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BaseSAML1AttributeEncoderParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, Map<String,Object> rule)`
Inject any necessary elements into the mapping rule based on the specific encoder type.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser

`buildTranscoder, doParse, getBeanClass, shouldGenerateId, shouldParseNameAsAliases`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseSAML1AttributeEncoderParser

public BaseSAML1AttributeEncoderParser()

## Method Details

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull Map<String,Object> rule)
Inject any necessary elements into the mapping rule based on the specific encoder type.

Specified by:
  `doParse` in class `BaseAttributeEncoderParser`
Parameters:
  `config` - the encoder element being parsed
  `parserContext` - the parser context
  `rule` - the mapping rule